org.eclipse.actf.util.vocab

## Class DelegationTerms

- java.lang.Object
- - org.eclipse.actf.util.vocab.AbstractTerms
  - - org.eclipse.actf.util.vocab.DelegationTerms

    public class DelegationTerms
    extends AbstractTerms

This class delegates the evaluation to the delegation target.

### Constructor Summary

Constructors
Constructor and Description
`DelegationTerms(IEvalTarget delegationTarget)`

### Method Summary

Methods
`boolean` `find(String str, boolean exact, IEvalTarget node)`
`boolean` `hasContent(IEvalTarget target)`
`boolean` `hasReadingContent(IEvalTarget target)`
`boolean` `isAccessKey(char key, IEvalTarget node)`
`boolean` `isAlterable(IEvalTarget node)`
`boolean` `isBlockJumpPointB(IEvalTarget node)`
`boolean` `isBlockJumpPointF(IEvalTarget node)`
`boolean` `isButton(IEvalTarget target)`
`boolean` `isCheckbox(IEvalTarget target)`
`boolean` `isChecked(IEvalTarget target)`
`boolean` `isClickable(IEvalTarget target)`
`boolean` `isCombobox(IEvalTarget target)`
`boolean` `isConnectable(IEvalTarget node)`
`boolean` `isEditable(IEvalTarget target)`
`boolean` `isEmbeddedObject(IEvalTarget target)`
`boolean` `isEnabled(IEvalTarget target)`
`boolean` `isFileEdit(IEvalTarget target)`
`boolean` `isFlashLastNode(IEvalTarget node)`
`boolean` `isFlashTopNode(IEvalTarget node)`
`boolean` `isHeading(int level, IEvalTarget node)`
`boolean` `isHeadingJumpPoint(IEvalTarget node)`
`boolean` `isImage(IEvalTarget target)`
`boolean` `isInputable(IEvalTarget target)`
`boolean` `isLabel(IEvalTarget target)`
`boolean` `isLink(IEvalTarget target)`
`boolean` `isListItem(IEvalTarget target)`
`boolean` `isListItemJumpPoint(IEvalTarget node)`
`boolean` `isListTop(IEvalTarget target)`
`boolean` `isMedia(IEvalTarget node)`
`boolean` `isMSAAFlash(IEvalTarget node)`
`boolean` `isMultilineEdit(IEvalTarget node)`
`boolean` `isMultiSelectable(IEvalTarget target)`
`boolean` `isPassword(IEvalTarget target)`
`boolean` `isRadio(IEvalTarget target)`
`boolean` `isReachable(IEvalTarget node, Node target)`
`boolean` `isReducible(IEvalTarget node)`
`boolean` `isSelectable(IEvalTarget target)`
`boolean` `isSelectOption(IEvalTarget node)`
`boolean` `isSubmit(IEvalTarget target)`
`boolean` `isTextarea(IEvalTarget target)`
`boolean` `isTextbox(IEvalTarget target)`
`boolean` `isValidNode(IEvalTarget target)`
`boolean` `isVisibleNode(IEvalTarget target)`
`boolean` `isVisitedLink(IEvalTarget target)`
`boolean` `nodeLocation(Node refNode, boolean backward, IEvalTarget node)`
`boolean` `startsWith(String str, boolean exact, IEvalTarget node)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DelegationTerms

    public DelegationTerms(IEvalTarget delegationTarget)

Parameters:
  `delegationTarget` - the delegation target.

### Method Detail

#### isClickable

    public boolean isClickable(IEvalTarget target)

Overrides:
  `isClickable` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isClickable()`

#### isEditable

    public boolean isEditable(IEvalTarget target)

Overrides:
  `isEditable` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isEditable()`

#### hasContent

    public boolean hasContent(IEvalTarget target)

Overrides:
  `hasContent` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.hasContent()`

#### hasReadingContent

    public boolean hasReadingContent(IEvalTarget target)

Overrides:
  `hasReadingContent` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.hasReadingContent()`

#### isEnabled

    public boolean isEnabled(IEvalTarget target)

Overrides:
  `isEnabled` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition

#### isInputable

    public boolean isInputable(IEvalTarget target)

Overrides:
  `isInputable` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isInputable()`

#### isSelectable

    public boolean isSelectable(IEvalTarget target)

Overrides:
  `isSelectable` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isSelectable()`

#### isMultiSelectable

    public boolean isMultiSelectable(IEvalTarget target)

Overrides:
  `isMultiSelectable` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isMultiSelectable()`

#### isButton

    public boolean isButton(IEvalTarget target)

Overrides:
  `isButton` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isButton()`

#### isListItem

    public boolean isListItem(IEvalTarget target)

Overrides:
  `isListItem` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isListItem()`

#### isListTop

    public boolean isListTop(IEvalTarget target)

Overrides:
  `isListTop` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isListTop()`

#### isCheckbox

    public boolean isCheckbox(IEvalTarget target)

Overrides:
  `isCheckbox` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isCheckbox()`

#### isChecked

    public boolean isChecked(IEvalTarget target)

Overrides:
  `isChecked` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isChecked()`

#### isLabel

    public boolean isLabel(IEvalTarget target)

Overrides:
  `isLabel` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isLabel()`

#### isLink

    public boolean isLink(IEvalTarget target)

Overrides:
  `isLink` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isLink()`

#### isVisitedLink

    public boolean isVisitedLink(IEvalTarget target)

Overrides:
  `isVisitedLink` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isVisitedLink()`

#### isRadio

    public boolean isRadio(IEvalTarget target)

Overrides:
  `isRadio` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isRadio()`

#### isCombobox

    public boolean isCombobox(IEvalTarget target)

Overrides:
  `isCombobox` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isCombobox()`

#### isSubmit

    public boolean isSubmit(IEvalTarget target)

Overrides:
  `isSubmit` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isSubmit()`

#### isFileEdit

    public boolean isFileEdit(IEvalTarget target)

Overrides:
  `isFileEdit` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isFileEdit()`

#### isTextarea

    public boolean isTextarea(IEvalTarget target)

Overrides:
  `isTextarea` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isTextarea()`

#### isTextbox

    public boolean isTextbox(IEvalTarget target)

Overrides:
  `isTextbox` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isTextbox()`

#### isPassword

    public boolean isPassword(IEvalTarget target)

Overrides:
  `isPassword` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isPassword()`

#### isValidNode

    public boolean isValidNode(IEvalTarget target)

Overrides:
  `isValidNode` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isValidNode()`

#### isVisibleNode

    public boolean isVisibleNode(IEvalTarget target)

Overrides:
  `isVisibleNode` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isVisibleNode()`

#### isEmbeddedObject

    public boolean isEmbeddedObject(IEvalTarget target)

Overrides:
  `isEmbeddedObject` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isEmbeddedObject()`

#### isImage

    public boolean isImage(IEvalTarget target)

Overrides:
  `isImage` in class `AbstractTerms`
Parameters:
  `target` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isImage()`

#### isMultilineEdit

    public boolean isMultilineEdit(IEvalTarget node)

Overrides:
  `isMultilineEdit` in class `AbstractTerms`
Parameters:
  `node` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isMultilineEdit()`

#### isSelectOption

    public boolean isSelectOption(IEvalTarget node)

Overrides:
  `isSelectOption` in class `AbstractTerms`
Parameters:
  `node` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isSelectOption()`

#### isReducible

    public boolean isReducible(IEvalTarget node)

Overrides:
  `isReducible` in class `AbstractTerms`
Parameters:
  `node` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isReducible()`

#### isConnectable

    public boolean isConnectable(IEvalTarget node)

Overrides:
  `isConnectable` in class `AbstractTerms`
Parameters:
  `node` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isConnectable()`

#### find

    public boolean find(String str,
               boolean exact,
               IEvalTarget node)

Overrides:
  `find` in class `AbstractTerms`
Parameters:
  `str` - the str to be searched in the text of the node
  `exact` - whether the matching is case sensitive or not
  `node` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.find(String, boolean)`

#### startsWith

    public boolean startsWith(String str,
                     boolean exact,
                     IEvalTarget node)

Overrides:
  `startsWith` in class `AbstractTerms`
Parameters:
  `str` - the str to be checked in the text of the node
  `node` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.startsWith(String, boolean)`

#### isHeading

    public boolean isHeading(int level,
                    IEvalTarget node)

Overrides:
  `isHeading` in class `AbstractTerms`
Parameters:
  `level` - the level of the heading
  `node` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isHeading()`

#### isHeadingJumpPoint

    public boolean isHeadingJumpPoint(IEvalTarget node)

Overrides:
  `isHeadingJumpPoint` in class `AbstractTerms`
Parameters:
  `node` - the node to be evaluated
Returns:
  whether the node matches the condition

#### nodeLocation

    public boolean nodeLocation(Node refNode,
                       boolean backward,
                       IEvalTarget node)

Overrides:
  `nodeLocation` in class `AbstractTerms`
Parameters:
  `refNode` - the reference node for the evaluation
  `backward` - the direction of the evaluation
  `node` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.nodeLocation(Node, boolean)`

#### isAccessKey

    public boolean isAccessKey(char key,
                      IEvalTarget node)

Overrides:
  `isAccessKey` in class `AbstractTerms`
  `node` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isAccessKey(char)`

#### isListItemJumpPoint

    public boolean isListItemJumpPoint(IEvalTarget node)

Overrides:
  `isListItemJumpPoint` in class `AbstractTerms`
Parameters:
  `node` - the node to be evaluated
Returns:
  whether the node matches the condition

#### isBlockJumpPointF

    public boolean isBlockJumpPointF(IEvalTarget node)

Overrides:
  `isBlockJumpPointF` in class `AbstractTerms`
Parameters:
  `node` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isBlockJumpPointF()`

#### isBlockJumpPointB

    public boolean isBlockJumpPointB(IEvalTarget node)

Overrides:
  `isBlockJumpPointB` in class `AbstractTerms`
Parameters:
  `node` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isBlockJumpPointB()`

#### isMedia

    public boolean isMedia(IEvalTarget node)

Overrides:
  `isMedia` in class `AbstractTerms`
Parameters:
  `node` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isMedia()`

#### isFlashTopNode

    public boolean isFlashTopNode(IEvalTarget node)

Overrides:
  `isFlashTopNode` in class `AbstractTerms`
Parameters:
  `node` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isFlashTopNode()`

#### isFlashLastNode

    public boolean isFlashLastNode(IEvalTarget node)

Overrides:
  `isFlashLastNode` in class `AbstractTerms`
Parameters:
  `node` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isFlashLastNode()`

#### isMSAAFlash

    public boolean isMSAAFlash(IEvalTarget node)

Overrides:
  `isMSAAFlash` in class `AbstractTerms`
Parameters:
  `node` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isMSAAFlash()`

#### isReachable

    public boolean isReachable(IEvalTarget node,
                      Node target)

Overrides:
  `isReachable` in class `AbstractTerms`
Parameters:
  `node` - the node to be evaluated
  `target` - the target node for the evaluation of reaching
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isReachable(Node)`

#### isAlterable

    public boolean isAlterable(IEvalTarget node)

Overrides:
  `isAlterable` in class `AbstractTerms`
Parameters:
  `node` - the node to be evaluated
Returns:
  whether the node matches the condition
See Also:
  `Vocabulary.isAlterable()`